## org.apache.lucene.analysis.phonetic
Class PhoneticFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.phonetic.PhoneticFilter

All Implemented Interfaces:
  Closeable

    public class PhoneticFilter

extends org.apache.lucene.analysis.TokenFilter

Create tokens for phonetic matches. See: http://jakarta.apache.org/commons/codec/api-release/org/apache/commons/codec/language/package-summary.html

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary
`protected org.apache.commons.codec.Encoder` `encoder`
`protected boolean` `inject`
`protected org.apache.lucene.util.AttributeSource.State` `save`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`PhoneticFilter(org.apache.lucene.analysis.TokenStream in, org.apache.commons.codec.Encoder encoder, boolean inject)`

Method Summary
`boolean` `incrementToken()`
`void` `reset()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### inject

    protected boolean inject

### encoder

    protected org.apache.commons.codec.Encoder encoder

### save

    protected org.apache.lucene.util.AttributeSource.State save

Constructor Detail

### PhoneticFilter

    public PhoneticFilter(org.apache.lucene.analysis.TokenStream in,
                          org.apache.commons.codec.Encoder encoder,
                          boolean inject)

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TokenFilter`
  Throws:
    `IOException`